
html,body {
    margin: 0%;
    box-sizing: border-box;
    overflow-x: hidden;
}

:root{
    /* Colors */
    --text-gray: #3f4954;
    --text-light: #686666da;
    --bg-color: #0f0f0f;
    --white: #fffff;
    --midnight: #104f55;

    /* Gradient Colors */
    --sky:linear-gradient(120deg, #a1c4fd 0%, #c2e9fb 100%);

    /* Font Family */

}

/*-----Global----*/

a{
    text-decoration: none;
    color: var(--text-gray);
}

.flex-row{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

ul{
    list-style-type: none;
}

/*-----Global----*/

/*-----navBar----*/

.nav{
    background: white;
    padding: 0 2rem;
    height: 0rem;
    min-height: 10vh;
    overflow: hidden;
    transition: height 1s;
}

.nav .nav-menu{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.nav .toggle-collapse{
    position: absolute;
    top: 0%;
    width: 90%;
    cursor: pointer;
    display: none;
}

.nav .toggle-collapse .toggle-icons{
    display: flex;
    justify-content: flex-end;
    padding: 1.7rem 0;
}

.nav .toggle-collapse .toggle-icons a{
    font-size: 1.4rem;
    color: var(--text-gray);
}

.collapse{
    height: 30rem;
}

.nav .nav-items {
    display: flex;
    margin: 0;
}

.nav .nav-items .nav-link{
    padding: 1.6rem 1rem;
    font-size: 1.1rem;
    position: relative;
}
.nav .nav-items .nav-link:hover{
    background: var(--midnight);
}

.nav .nav-items .nav-link:hover a{
    color: white;
}

.nav .nav-brand a{
    font-size: 1.6rem;
    padding: 1rem 0;
    display: block;
}

.nav .social{
    padding: 1.4rem;
}

.nav .social a{
    padding: 0.2rem;
}

.nav .social a:hover{
    color: #a1c4fd;
}

/*-----navBar----*/

/* Viewport less then or equal to 750px */

@media only screen and (max-width: 750px){
    .nav .nav-menu,.nav .nav-items{
        flex-direction: column;
    }
    .nav .toggle-collapse{
        display: initial;
    }
}

/* Viewport less then or equal to 750px */